Ubuntu

2011d available

Reported by Gary Lasker on 2011-03-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
High
Gary Lasker
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2011d:

    - Samoa: Update DST rules (effective April 2, 2011)
    - Cuba: Update DST rules (effective March 13, 2011)
    - Turkey: Update DST rules (effective March 27, 2011)

Gary Lasker (gary-lasker) wrote :
Changed in tzdata (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Gary Lasker (gary-lasker)
Gary Lasker (gary-lasker) wrote :

Test case for Samoa time zone change:

Result with 2011c:

$ zdump -v Pacific/Apia | grep 2011
Pacific/Apia Sun Apr 3 10:59:59 2011 UTC = Sun Apr 3 00:59:59 2011 WSDT isdst=1 gmtoff=-36000
Pacific/Apia Sun Apr 3 11:00:00 2011 UTC = Sun Apr 3 00:00:00 2011 WST isdst=0 gmtoff=-39600

And updated result with 2011d:

$ zdump -v Pacific/Apia | grep 2011
Pacific/Apia Sat Apr 2 13:59:59 2011 UTC = Sat Apr 2 03:59:59 2011 WSDT isdst=1 gmtoff=-36000
Pacific/Apia Sat Apr 2 14:00:00 2011 UTC = Sat Apr 2 03:00:00 2011 WST isdst=0 gmtoff=-39600

Changed in tzdata (Ubuntu):
status: Triaged → In Progress
Gary Lasker (gary-lasker) wrote :

I've prepared the updates for Dapper, Hardy, Karmic, Lucid and Maverick and uploaded them to the following locations:

  http://people.canonical.com/~tremolux/tzdata_2011d_dapper/
  http://people.canonical.com/~tremolux/tzdata_2011d_hardy/
  http://people.canonical.com/~tremolux/tzdata_2011d_karmic/
  http://people.canonical.com/~tremolux/tzdata_2011d_lucid/
  http://people.canonical.com/~tremolux/tzdata_2011d_maverick/

We will want to sync 2011d-1 from Debian for Natty.

Many thanks as always!

Martin Pitt (pitti) wrote :

I synced 2011d-1 from sid into natty.

Changed in tzdata (Ubuntu):
status: In Progress → Fix Released

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Changed in tzdata (Ubuntu Dapper):
status: New → Fix Committed
Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Maverick):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Gary Lasker (gary-lasker) wrote :

I have verified the updates in -proposed per the supplied test case for all of the following:

  dapper
  hardy
  karmic
  lucid
  maverick

Thanks, Martin!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011d-0ubuntu0.10.04

---------------
tzdata (2011d-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2011d: (LP: #735058)
    - Samoa: Update DST rules (effective April 2nd, 2011)
    - Cuba: Update DST rules (effective March 13th, 2011)
    - Turkey: Update DST rules (effective March 27th, 2011)
 -- Gary Lasker <email address hidden> Mon, 14 Mar 2011 16:59:55 -0400

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011d-0ubuntu0.10.10

---------------
tzdata (2011d-0ubuntu0.10.10) maverick-proposed; urgency=low

  * New upstream release 2011d: (LP: #735058)
    - Samoa: Update DST rules (effective April 2nd, 2011)
    - Cuba: Update DST rules (effective March 13th, 2011)
    - Turkey: Update DST rules (effective March 27th, 2011)
 -- Gary Lasker <email address hidden> Mon, 14 Mar 2011 16:17:28 -0400

Changed in tzdata (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011d-0ubuntu0.9.10

---------------
tzdata (2011d-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2011d: (LP: #735058)
    - Samoa: Update DST rules (effective April 2nd, 2011)
    - Cuba: Update DST rules (effective March 13th, 2011)
    - Turkey: Update DST rules (effective March 27th, 2011)
 -- Gary Lasker <email address hidden> Mon, 14 Mar 2011 17:09:15 -0400

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011d~repack-0ubuntu0.8.04

---------------
tzdata (2011d~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2011d: (LP: #735058)
    - Samoa: Update DST rules (effective April 2nd, 2011)
    - Cuba: Update DST rules (effective March 13th, 2011)
    - Turkey: Update DST rules (effective March 27th, 2011)
 -- Gary Lasker <email address hidden> Mon, 14 Mar 2011 17:19:25 -0400

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2011-03-16
Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers